PRIOn Logo

CVE-2023-50178 Input validation

Routine
Remediate Within 6 Months

CVE Information

Original CVE data

Published:
Updated:

An improper certificate validation vulnerability [CWE-295] in FortiADC 7.4.0, 7.2.0 through 7.2.3, 7.1 all versions, 7.0 all versions, 6.2 all versions, 6.1 all versions and 6.0 all versions may allow a remote and unauthenticated attacker to perform a Man-in-the-Middle attack on the communication channel between the device and various remote servers such as private SDN connectors and FortiToken Cloud.

CWE: CWE-295
CVSS v2-
CVSS v3-
References
https://fortiguard.fortinet.com/psirt/FG-IR-22-298
Affected Vendors

Basic Analysis

Common vulnerability metrics

Vulnerabilty type as detected by PRIOnengine

Input validation

CVSS Scores as calculated by PRIOnengine
CVSS v24.3
AV:N/AC:M/AU:N/C:P/I:N/A:N
CVSS v35.9
AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:N/A:N
MITRE CWE Top 25

-

Exploits

No exploit code is reported to exist.

Active Exploitation

Vulnerability is not in CISA's Known Exploited Vulnerabilities (KEV) catalog. See the KEV Catalog

Social Network Activity

-

Threat Actor Activity

No sightings of the vulnerability within threat reports.

Cybersecurity Frameworks

How the vulnerability maps against various cybersecurity frameworks

T1565.002 - Data Manipulation (Transmitted Data Manipulation)
T1562.010 - Impair Defenses (Downgrade Attack)
T1557 - Adversary-in-the-Middle
T1498 - Network Denial of Service

Compliance Impact

How the submited vulnerability affects compliance

PCI DSS v3.2.1-6.5.4 - Insecure Communications

Web Application Security Frameworks

Applicable if the issue likely affects a web application

-